Skip to main content
PUT
/
hashtags
/
{hashtag}
curl -X PUT https://app.trypost.it/api/hashtags/e5f6a7b8-c9d0-1e2f-3a4b-5c6d7e8f9a0b \
  -H "Authorization: Bearer tp_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Tech & AI",
    "hashtags": "#tech #ai #machinelearning #startup"
  }'
{
  "data": {
    "id": "e5f6a7b8-c9d0-1e2f-3a4b-5c6d7e8f9a0b",
    "name": "Tech & AI",
    "hashtags": "#tech #ai #machinelearning #startup",
    "created_at": "2025-01-10 08:00:00",
    "updated_at": "2025-01-10 09:00:00"
  }
}

Request

hashtag
string
required
The hashtag group ID.
name
string
required
The new hashtag group name. Maximum 255 characters.
hashtags
string
required
The new hashtags string.

Response

Returns the updated hashtag group.
curl -X PUT https://app.trypost.it/api/hashtags/e5f6a7b8-c9d0-1e2f-3a4b-5c6d7e8f9a0b \
  -H "Authorization: Bearer tp_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Tech & AI",
    "hashtags": "#tech #ai #machinelearning #startup"
  }'
{
  "data": {
    "id": "e5f6a7b8-c9d0-1e2f-3a4b-5c6d7e8f9a0b",
    "name": "Tech & AI",
    "hashtags": "#tech #ai #machinelearning #startup",
    "created_at": "2025-01-10 08:00:00",
    "updated_at": "2025-01-10 09:00:00"
  }
}